/[gentoo]/xml/htdocs/doc/en/nvidia-guide.xml
Gentoo

Diff of /xml/htdocs/doc/en/nvidia-guide.xml

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.43 Revision 1.44
1<?xml version='1.0' encoding="UTF-8"?> 1<?xml version='1.0' encoding="UTF-8"?>
2<!-- $Header: /var/cvsroot/gentoo/xml/htdocs/doc/en/nvidia-guide.xml,v 1.43 2007/08/18 08:40:52 nightmorph Exp $ --> 2<!-- $Header: /var/cvsroot/gentoo/xml/htdocs/doc/en/nvidia-guide.xml,v 1.44 2007/11/15 20:22:55 nightmorph Exp $ -->
3<!DOCTYPE guide SYSTEM "/dtd/guide.dtd"> 3<!DOCTYPE guide SYSTEM "/dtd/guide.dtd">
4 4
5<guide link="/doc/en/nvidia-guide.xml"> 5<guide link="/doc/en/nvidia-guide.xml">
6<title>Gentoo Linux nVidia Guide</title> 6<title>Gentoo Linux nVidia Guide</title>
7 7
26 26
27<!-- The content of this document is licensed under the CC-BY-SA license --> 27<!-- The content of this document is licensed under the CC-BY-SA license -->
28<!-- See http://creativecommons.org/licenses/by-sa/2.5 --> 28<!-- See http://creativecommons.org/licenses/by-sa/2.5 -->
29<license/> 29<license/>
30 30
31<version>1.34</version> 31<version>1.35</version>
32<date>2007-08-18</date> 32<date>2007-11-15</date>
33 33
34<chapter> 34<chapter>
35<title>Introduction</title> 35<title>Introduction</title>
36<section> 36<section>
37<body> 37<body>
72Newer cards such as the GeForce 8, 7, 6, and FX 5 series should use the newer 72Newer cards such as the GeForce 8, 7, 6, and FX 5 series should use the newer
73drivers from the 100.x series. 73drivers from the 100.x series.
74</p> 74</p>
75 75
76<p> 76<p>
77Older cards such as the GeForce 3 or GeForce 4 77Older cards such as the GeForce 3 or GeForce 4 series require the 96.x drivers.
78series require the 96xx drivers. For these cards, you should mask 78For these cards, you should mask <c>>=x11-drivers/nvidia-drivers-97.00</c> in
79<c>>=x11-drivers/nvidia-drivers-1.0.9700</c> in your
80<path>/etc/portage/package.mask</path> file. This will prevent newer versions of 79your <path>/etc/portage/package.mask</path> file. This will prevent newer
81the driver which are incompatible with your card from being installed. 80versions of the driver which are incompatible with your card from being
81installed.
82</p> 82</p>
83 83
84<p> 84<p>
85Old NV2x-based cards (such as TNT, TNT2, GeForce, and GeForce 2) require the 85Old NV2x-based cards (such as TNT, TNT2, GeForce, and GeForce 2) require the
86older 71xx drivers (such as <c>nvidia-drivers-1.0.7185</c>). For these cards, 86older 71.x drivers (such as <c>nvidia-drivers-71.86.01</c>). For these cards,
87you should mask <c>>=x11-drivers/nvidia-drivers-1.0.8700</c> in 87you should mask <c>>=x11-drivers/nvidia-drivers-87.00</c> in
88<path>/etc/portage/package.mask</path>. 88<path>/etc/portage/package.mask</path>.
89</p> 89</p>
90 90
91<p> 91<p>
92You can check for driver compatibility for your card at to determine which 92You can check for driver compatibility for your card at to determine which
93driver supports it at 93driver supports it by viewing the README at its appropriate x86 or x86-64
94<uri>http://us.download.nvidia.com/XFree86/Linux-x86_64/100.14.11/README/appendix-a.html</uri>. 94<uri link="http://www.nvidia.com/object/unix.html">release page</uri>.
95</p> 95</p>
96 96
97</body> 97</body>
98</section> 98</section>
99</chapter> 99</chapter>
251<pre caption="Installing the nVidia drivers"> 251<pre caption="Installing the nVidia drivers">
252# <i>emerge nvidia-drivers</i> 252# <i>emerge nvidia-drivers</i>
253</pre> 253</pre>
254 254
255<note> 255<note>
256The newer 100.x drivers can be installed with the <c>gtk</c> USE flag set. This 256The drivers can be installed with the <c>gtk</c> USE flag set. This will install
257will install <c>media-video/nvidia-settings</c>, a handy graphical tool for 257<c>media-video/nvidia-settings</c>, a handy graphical tool for monitoring and
258monitoring and configuring several aspects of your nVidia card. 258configuring several aspects of your nVidia card.
259</note> 259</note>
260 260
261<impo> 261<impo>
262Every time you <uri link="/doc/en/kernel-upgrade.xml">compile a new kernel</uri> 262Every time you <uri link="/doc/en/kernel-upgrade.xml">compile a new kernel</uri>
263or recompile the current one, you will need to run <c>emerge nvidia-drivers</c> 263or recompile the current one, you will need to run <c>emerge nvidia-drivers</c>
431 431
432<p> 432<p>
433nVidia also provides you with a settings tool. This tool allows you to monitor 433nVidia also provides you with a settings tool. This tool allows you to monitor
434and change graphical settings without restarting the X server and is available 434and change graphical settings without restarting the X server and is available
435through Portage as <c>media-video/nvidia-settings</c>. As mentioned earlier, it 435through Portage as <c>media-video/nvidia-settings</c>. As mentioned earlier, it
436will be pulled in automatically if you install 436will be pulled in automatically if you install the drivers with the <c>gtk</c>
437<c>>=x11-drivers/nvidia-drivers-100.14.09</c> with the <c>gtk</c> USE flag set 437USE flag set in <path>/etc/make.conf</path> or in
438in <path>/etc/make.conf</path> or in <path>/etc/portage/package.use</path>. 438<path>/etc/portage/package.use</path>.
439</p> 439</p>
440 440
441</body> 441</body>
442</section> 442</section>
443</chapter> 443</chapter>

Legend:
Removed from v.1.43  
changed lines
  Added in v.1.44

  ViewVC Help
Powered by ViewVC 1.1.20